> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List registrations

> List registrations for a provider



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/organisations/{organisationId}/providers/{providerId}/registrations
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/providers/{providerId}/registrations:
    get:
      tags:
        - Provider
      summary: List registrations
      description: List registrations for a provider
      operationId: ProviderController_listRegistrations
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: providerId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 200
            default: 10
            example: 10
            type: number
      responses:
        '200':
          description: ''

````